# Variable FiveCanvas`Const`

FiveCanvas: DefineComponent<
{
height: { required: true; type: PropType<number> };
width: { required: true; type: PropType<number> };
},
() => VNode<RendererNode, RendererElement, { [key: string]: any }>,
unknown,
{},
{},
ComponentOptionsMixin,
ComponentOptionsMixin,
{},
string,
PublicProps,
Readonly<
ExtractPropTypes<
{
height: { required: true; type: PropType<number> };
width: { required: true; type: PropType<number> };
},
>,
>,
{},
{},
> = ...

Five 渲染区域组件

#### Description

Five 渲染区域组件，请在 FiveProvider 内使用

#### Param: width

渲染区域的宽度

#### Param: height

渲染区域的高度

#### Returns

Vue 元素

#### Example

    <FiveProvider :initialWork="work">
     <FiveCanvas width="512" height="512"/>
    </FiveProvider>

- Defined in lib/vue/hooks/FiveCanvas.ts:23